<?php
/**
 * Directory Listing Mod 02
 * Provided by: trustabyss.com
 */


/** 
 * HTTP Gzip Compression
 * 
 * Allows you to compress the content before sending
 * it to the visitor's browser. This feature can make
 * the listing alot faster.
 * 
 * Set this to TRUE to enable Gzip Compression          
 */ 

 $enable_gzip = FALSE; 

/** 
 * Directory Listing (Signature) 
 * 
 * Allows you to show the server information at the 
 * bottom of the Directory Listing. FALSE to disable.   
 */ 
 
 $server_sig = TRUE;
 
/**
 * Directory Listing (Time Format)
 * 
 * This setting allows you to choose the time format
 * for the Directory Listing. Set this value to FALSE
 * if you wish to use your local server time.
 * 
 * The default is set to TRUE to show only Greenwhich
 * Mean Time. You can change it if you like.
 */
  
 $show_gmt_date = TRUE;    
 
/**
 * Directory Listing (File Length)
 * 
 * This setting allows you to choose whether to cut off the
 * File Length after a certain number of characters. Default
 * setting is TRUE. A file can contain 45 char(s).
 * 
 * Set this to FALSE to disable.     
 */  
  
 $cut_file_length = TRUE; 
 
/**
 * Directory Listing (Parent Text)
 * 
 * This setting allows you to choose whether to display the
 * "Parent Directory" or "../", to go to the top of a folder. 
 * Its default value is set to FALSE.    
 * 
 * Set this to TRUE to show "Parent Directory" text.   
 */  
  
 $show_parent_text = FALSE;
 
/**
 * Directory Listing (Last Modified text)
 * 
 * This setting allows you to choose whether to display the
 * "Last modified" or "Date" in the Description of the date
 * the file/directory was last modified.      
 * 
 * Set this to TRUE to show "Last modified" date text.   
 */  
  
 $show_last_modified = FALSE;                     
  

/**
 * Edit The Below Code At Your Own Risk!
 *                     
 * I cannot provide any support for the modifications  
 * of this code, so edit this code at your own risk.  
 */
   
 
ini_set("display_errors", 1); 
error_reporting("E_ALL & ~E_NOTICE");

 
if ($enable_gzip !== FALSE) {

    @ob_start("ob_gzhandler");
}
 
if ($show_last_modified !== FALSE) {

    $date_description = "Last modified";
} 
else {

    $date_description = "Date";
} 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<TITLE>Index of <?php echo(stripslashes($_POST["path"])); ?></TITLE>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
</HEAD>
<BODY>
<H2>Index of <?php echo(stripslashes($_POST["path"])); ?></H2>
<HR>
<TABLE BORDER=0 STYLE="font-family: monospace; font-size: smaller;">
<TR>
    <TH>Name</TH>
    <TH>Size</TH>
    <TH><?php echo($date_description); ?></TH>
    <TH>MIME Type</TH>
</TR>
<?php
function GetTZOffset() {

    $iTime = time(); 
    $ar = localtime($iTime); 
    $ar[5] += 1900; 
    $ar[4]++;   
    $iTztime = gmmktime($ar[2], $ar[1], $ar[0], $ar[4], $ar[3], $ar[5]);  
    
    return($iTztime - $iTime); 
} 

$TZOffset = GetTZOffset();

$lines = explode("\n", $_POST["files"]);
   
foreach ($lines as $line)  {

    list($name, $url, $size, $date, $mimetype) = explode("\t", $line);

    $name = stripslashes($name);
    $url  = stripslashes($url);
    
    if ($size < 1048576) {
    
        $format = "KB";
        $size  /= 1024;
        $file_size   = sprintf("%.02f", $size) . " " . $format;
    }
    elseif ($size < 1073741824) {
    
        $format = "MB";
        $size  /= 1048576;
        $file_size   = sprintf("%.02f", $size) . " " . $format;
    }
    elseif ($size >= 1073741824) {
    
        $format = "GB";
        $size  /= 1073741824;
        $file_size   = sprintf("%.02f", $size) . " " . $format;
    }
    
    if ($cut_file_length !== FALSE) {
    
        if (strlen($name) > 45) {
 
            $name  = substr($name, 0, 42);
            $name .= " ..>";
        }

    }

    if ($show_gmt_date !== FALSE) {
    
        $date = date("M d, Y H:i:s", strtotime($date));
    }
    else {
    
        $date = date("M d, Y H:i:s", strtotime($date) + $TZOffset);
    }
    
    $hidden = "^listing\.php$";

    if (!eregi($hidden, $url)) {
    
        // Start the TEXT MIME TYPE Icon Code
        
        if (eregi("^text/css$", $mimetype)) {
        
            $ico = "css.gif";
        }
        elseif (eregi("^text/html$", $mimetype)) {
        
            $ico = "htm.gif";
        }
        elseif (eregi("^text/plain$", $mimetype)) {
        
            $ico = "txt.gif";
        }
        elseif (eregi("^text/rtf$", $mimetype)) {
        
            $ico = "rtf.gif";
        }
        elseif (eregi("^text/xml$", $mimetype)) {
        
            $ico = "xml.gif";
        }
        // Start the IMAGE MIME Type Code
        
        elseif (eregi("^image/bmp$", $mimetype)) {
        
            $ico = "bmp.gif";
        }
        elseif (eregi("^image/gif$", $mimetype)) {
        
            $ico = "gif.gif";
        }
        elseif (eregi("^image/jpeg$", $mimetype)) {
        
            $ico = "jpg.gif";
        }
        elseif (eregi("^image/png$", $mimetype)) {
        
            $ico = "png.gif";
        }
        elseif (eregi("^image/tiff$", $mimetype)) {
        
            $ico = "tif.gif";
        }
        elseif (eregi("^image/x-icon$", $mimetype)) {
        
            $ico = "ico.gif";
        }
        // Start the AUDIO MIME Type Icon Code
        
        elseif (eregi("^audio/midi$", $mimetype)) {
        
            $ico = "mid.gif";
        }
        elseif (eregi("^audio/mpeg$", $mimetype)) {
        
            $ico = "mp3.gif";
        }
        elseif (eregi("^audio/x-aiff$", $mimetype)) {
        
            $ico = "aif.gif";
        }
        elseif (eregi("^audio/x-pn-realaudio$", $mimetype)) {
        
            $ico = "ram.gif";
        }
        elseif (eregi("^audio/x-realaudio$", $mimetype)) {
        
            $ico = "ra.gif";
        }
        elseif (eregi("^audio/x-wav$", $mimetype)) {
        
            $ico = "wav.gif";
        }
        // Start the VIDEO MIME Type Icon Code
        
        elseif (eregi("^video/mpeg$", $mimetype)) {
        
            $ico = "mpe.gif";
        }
        elseif (eregi("^video/quicktime$", $mimetype)) {
        
            $ico = "mov.gif";
        }
        elseif (eregi("^video/x-msvideo$", $mimetype)) {
        
            $ico = "avi.gif";
        } 
        // Start the APPLICATION MIME Type Icon Code
        
        elseif (eregi("^application/msword$", $mimetype)) {
        
            $ico = "doc.gif";
        }
        elseif (eregi("^application/pdf$", $mimetype)) {
        
            $ico = "pdf.gif";
        }
        elseif (eregi("^application/vnd.ms-excel$", $mimetype)) {
        
            $ico = "xls.gif";
        }
        elseif (eregi("^application/vnd.ms-powerpoint$", $mimetype)) {
        
            $ico = "ppt.gif";
        }
        elseif (eregi("^application/x-compress$", $mimetype)) {
        
            $ico = "z.gif";
        }
        elseif (eregi("^application/x-gzip$", $mimetype)) {
        
            $ico = "gz.gif";
        }
        elseif (eregi("^application/x-javascript$", $mimetype)) {
        
            $ico = "js.gif";
        }
        elseif (eregi("^application/zip$", $mimetype)) {
        
            $ico = "zip.gif";
        }
        else {
        
            $ico = "ukn.gif";
        }
        
        if ($show_parent_text !== FALSE) {
        
            if ($name == "../") {
        
                $name = "Parent Directory";
                $ico  = "up.gif";
                $file_size = "-";
                $mimetype = "Directory";
            }
        }
        else {
        
            if ($name == "../") {

                $ico  = "up.gif";
                $file_size = "-";
                $mimetype = "Directory";
                
            }
        }

        if ($mimetype == "") {
        
           $ico = "dir.gif";
           $file_size = "-";
           $mimetype = "Directory";
?>
<TR>
   <TD STYLE="padding-right: 1em"><IMG SRC="/icons/<?php echo($ico); ?>" ALT=""> <A HREF="<?php echo($url); ?>"><?php echo($name); ?></A></TD>
   <TD NOWRAP ALIGN="RIGHT" STYLE="padding-right: 1em"><?php echo($file_size); ?></TD>
   <TD NOWRAP STYLE="padding-right: 1em"><?php echo($date); ?></TD>
   <TD><?php echo($mimetype); ?></TD>
</TR>
<?php
        }
        else {
?>
<TR>
   <TD STYLE="padding-right: 1em"><IMG SRC="/icons/<?php echo($ico); ?>" ALT=""> <A HREF="<?php echo($url); ?>"><?php echo($name); ?></A></TD>
   <TD NOWRAP ALIGN="RIGHT" STYLE="padding-right: 1em"><?php echo($file_size); ?></TD>
   <TD NOWRAP STYLE="padding-right: 1em"><?php echo($date); ?></TD>
   <TD><?php echo($mimetype); ?></TD>
</TR>
<?php
        }
    }
}

$serv = $_SERVER["SERVER_SOFTWARE"];
$year = date("Y");

if (eregi("X1", $serv)) {

    $ver = "X1";
}
else {

    $ver = "X2";
}
?>
</TABLE>
<p>
<HR>
<?php
if ($server_sig !== FALSE) {
?>
Powered by <b><i>Abyss Web Server</i></b> <?php echo($ver); ?><br>&copy; <a href="http://www.aprelium.com">Aprelium Technologies</a> - 2001-<?php echo($year); ?>
<?php
}
?>
</BODY>
</HTML> 